// ===================================================
// Листинг 16. Проверка присутствия NETBIOS
//
// Файл nbver.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <conio.h>
#include <mem.h>
#include <string.h>

void main(void) {
	void interrupt ( *int5C)(...);

	printf("Check if NETBIOS is installed\n");
	int5C = getvect(0x5c);
	if(FP_SEG(int5C) == 0x0000 || FP_SEG(int5C) == 0xF000) {
		printf("NETBIOS NOT installed.\n");
	}
	else printf("NETBIOS is installed!\n");

}